<template>
	<div v-if="hasValue">
		<slot></slot>
	</div>
	<div v-else>
		{{ defaultValue }}
	</div>
</template>

<script>
import { defineComponent, computed } from 'vue'

export default defineComponent({
	name: 'DefaultField',
	props: {
		value: {
			default: null
		},
		defaultValue: {
			default: null
		}
	},
	setup (props) {
		const hasValue = computed(() => {
			if (props.value) {
				return true
			}

			return false
		})

		return {
			hasValue
		}
	}
})
</script>
